library benchmarks.src.naive_infinite_scroll.index;

import "package:angular2/src/facade/lang.dart" show int, isBlank;
import "package:angular2/src/dom/dom_adapter.dart" show DOM;
import "package:angular2/src/facade/collection.dart" show MapWrapper;
import "package:angular2/change_detection.dart"
    show Parser, Lexer, ChangeDetector, ChangeDetection;
import "package:angular2/src/core/exception_handler.dart" show ExceptionHandler;
import "package:angular2/angular2.dart"
    show
        bootstrap,
        Component,
        Viewport,
        View,
        ViewContainer,
        Compiler,
        onChange,
        NgElement,
        Decorator;
import "package:angular2/src/reflection/reflection.dart" show reflector;
import "package:angular2/src/reflection/reflection_capabilities.dart"
    show ReflectionCapabilities;
import "package:angular2/src/core/compiler/compiler.dart" show CompilerCache;
import "package:angular2/src/core/compiler/directive_metadata_reader.dart"
    show DirectiveMetadataReader;
import "package:angular2/src/render/dom/shadow_dom/shadow_dom_strategy.dart"
    show ShadowDomStrategy;
import "package:angular2/src/render/dom/shadow_dom/native_shadow_dom_strategy.dart"
    show NativeShadowDomStrategy;
import "package:angular2/src/render/dom/shadow_dom/emulated_unscoped_shadow_dom_strategy.dart"
    show EmulatedUnscopedShadowDomStrategy;
import "package:angular2/src/render/dom/compiler/template_loader.dart"
    show TemplateLoader;
import "package:angular2/src/core/compiler/template_resolver.dart"
    show TemplateResolver;
import "package:angular2/src/core/life_cycle/life_cycle.dart" show LifeCycle;
import "package:angular2/src/services/xhr.dart" show XHR;
import "package:angular2/src/services/xhr_impl.dart" show XHRImpl;
import "package:angular2/src/services/url_resolver.dart" show UrlResolver;
import "package:angular2/src/render/dom/shadow_dom/style_url_resolver.dart"
    show StyleUrlResolver;
import "package:angular2/src/core/compiler/component_url_mapper.dart"
    show ComponentUrlMapper;
import "package:angular2/src/render/dom/shadow_dom/style_inliner.dart"
    show StyleInliner;
import "package:angular2/src/core/compiler/dynamic_component_loader.dart"
    show DynamicComponentLoader;
import "package:angular2/src/core/testability/testability.dart"
    show TestabilityRegistry, Testability;
import "package:angular2/directives.dart" show If, For;
import "app.dart" show App;
import "scroll_area.dart" show ScrollAreaComponent;
import "scroll_item.dart" show ScrollItemComponent;
import "cells.dart"
    show
        CompanyNameComponent,
        OpportunityNameComponent,
        OfferingNameComponent,
        AccountCellComponent,
        StageButtonsComponent,
        FormattedCellComponent;
import "package:angular2/src/render/dom/events/event_manager.dart"
    show EventManager;
import "package:angular2/src/core/compiler/view_factory.dart"
    show ViewFactory, VIEW_POOL_CAPACITY;
import "package:angular2/src/core/compiler/proto_view_factory.dart"
    show ProtoViewFactory;
import "package:angular2/src/render/api.dart" show Renderer;
import "package:angular2/src/render/dom/direct_dom_renderer.dart"
    show DirectDomRenderer;
import "package:angular2/src/render/dom/compiler/compiler.dart" as rc;
import "package:angular2/src/render/dom/view/view_factory.dart" as rvf;
import "package:angular2/di.dart" show Inject, bind;

main() {
  setupReflector();
  bootstrap(App, createBindings());
}
List createBindings() {
  return [bind(VIEW_POOL_CAPACITY).toValue(100000)];
}
setupReflector() {
  reflector.reflectionCapabilities =
      new ReflectionCapabilities(); // TODO(kegluneq): Generate this.
  reflector.registerSetters({
    "style": (o, m) {
      //if (isBlank(m)) return;
      // HACK
      MapWrapper.forEach(m, (v, k) {
        o.style.setProperty(k, v);
      });
    }
  });
  reflector.registerMethods({
    "onScroll": (o, args) {
      // HACK
      o.onScroll(args[0]);
    },
    "setStage": (o, args) => o.setStage(args[0])
  });
}
